summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2009-01-23 19:46:52 +0100
committerLennart Poettering <lennart@poettering.net>2009-01-23 19:46:52 +0100
commitf6fcbed6d0fd04308341fa27465284212143824b (patch)
tree3ce4c938f696a00aa58065a11e7510a95954a6be /bootstrap.sh
parent5cb29f3a606c8d5e66fea561b8a4ab1fe623a53d (diff)
parent3e5d9fd37ab2ebe7160c7ebc4393b15ba68f28e8 (diff)
Merge commit 'flameeyes/flameeyes'
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 6698f68b..4ca2b339 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -40,6 +40,15 @@ run_versioned() {
set -ex
+# We check for this here, because if pkg-config is not found in the
+# system, it's likely that the pkg.m4 macro file is also not present,
+# which will make PKG_PROG_PKG_CONFIG be undefined and the generated
+# configure file faulty.
+if ! pkg-config --version &>/dev/null; then
+ echo "pkg-config is required to bootstrap this program" &>/dev/null
+ exit 1
+fi
+
if [ "x$1" = "xam" ] ; then
run_versioned automake "$VERSION" -a -c --foreign
./config.status